Bug 200441 - [MAINTAINER] mail/trojita: Enable password plugins
Summary: [MAINTAINER] mail/trojita: Enable password plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-25 11:51 UTC by Marco Bröder
Modified: 2015-05-27 04:48 UTC (History)
2 users (show)

See Also:
marco.broeder: maintainer-feedback+


Attachments
trojita and trojita-qt4: enable password plugins, remove obsolete patch (2.11 KB, patch)
2015-05-25 11:51 UTC, Marco Bröder
marco.broeder: maintainer-approval+
Details | Diff
mail/trojita (qt5) poudriere testport log (407.59 KB, text/x-log)
2015-05-25 14:05 UTC, Marco Bröder
no flags Details
mail/trojita-qt4 poudriere testport log (438.65 KB, text/x-log)
2015-05-25 14:06 UTC, Marco Bröder
no flags Details
enable password plugins, remove obsolete patch and empty post-install target (2.11 KB, patch)
2015-05-26 15:21 UTC, Marco Bröder
marco.broeder: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2015-05-25 11:51:12 UTC
Created attachment 157117 [details]
trojita and trojita-qt4: enable password plugins, remove obsolete patch

- Enable QTKEYCHAIN and CLEARTEXT plugins for trojita and trojita-qt4
- Remove obsolete path patch


Tests (qt5 and qt4 version) on head, stable/10, releng/9.3 - amd64:
- portlint
- poudriere testport + bulk, logs available
- pkg install + delete
- runtime on stable/10 amd64


Thanks!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 11:55:10 UTC
Hi Marco, thanks for your submission.

Can you include one of your poudriere logs as an attachment please.

Great work on classifying this issue perfectly :)
Comment 2 Marco Bröder 2015-05-25 14:05:06 UTC
Created attachment 157120 [details]
mail/trojita (qt5) poudriere testport log
Comment 3 Marco Bröder 2015-05-25 14:06:03 UTC
Created attachment 157121 [details]
mail/trojita-qt4 poudriere testport log

Poudriere logs for both ports attached.

Regards
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 23:52:58 UTC
Marco, is the empty post-install: target intentional?
Comment 5 Marco Bröder 2015-05-26 15:21:57 UTC
Created attachment 157164 [details]
enable password plugins, remove obsolete patch and empty post-install target

Good catch! This one slipped through. Updated patch attached.

I run the project's tests from the post-install target at every new release. But that is not suitable for the official ports tree (would break packaging). I forgot to also delete this line in the non-maintainer Makefile and never noticed it. Shame on me ;-)

Thanks!
Comment 6 commit-hook freebsd_committer 2015-05-27 04:47:38 UTC
A commit references this bug:

Author: koobs
Date: Wed May 27 04:47:16 UTC 2015
New revision: 387540
URL: https://svnweb.freebsd.org/changeset/ports/387540

Log:
  mail/trojita: Enable password plugins

  - Enable QTKEYCHAIN and CLEARTEXT plugins for trojita and trojita-qt4
  - Remove obsolete path patch and post-install: target

  PR:		200441
  Submitted by:	Marco Broder <marco dot broeder posteo eu> (maintainer)

Changes:
  head/mail/trojita/Makefile
  head/mail/trojita/pkg-plist
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-27 04:48:33 UTC
Committed, thanks Marco!